require 'vomi/main'

# For general CLI interface
module Vomi

  VERSION = '0.1.0'.freeze

  module_function

  # Start Vomi with defined configs.
  #
  # @param config {VomiCore::VomiConfig}
  # @return [nil]
  def start_with_config(config)
  end

  # Similar to {Vomi.start_with_config},
  # this starts Vomi with default configs.
  #
  # See {VomiCore::VomiConfig} for default configs.
  #
  # @return [nil]
  def start_with_default
    # empty
  end

end
